package de.starface.integration.uci.java.v30.exceptions;

/**
 * This exception indicates that that an UCI call could not be completed. There exist different
 * subclasses that differentiate the reason.
 * 
 * @author tilmann
 * 
 */
public class UciException extends Exception
{
	private static final long serialVersionUID = 1L;
	
	/**
	 * Creates a new UciException
	 */
	public UciException()
	{
		super();
	}
	
	/**
	 * Creates a new UciException with the given message.
	 * 
	 * @param message
	 *        the message of the exception
	 */
	public UciException(String message)
	{
		super(message);
	}
	
	/**
	 * Creates a new UciException with the given message and cause.
	 * 
	 * @param message
	 *        the message of the exception
	 * @param cause
	 *        the cause of the exception
	 */
	public UciException(String message, Throwable cause)
	{
		super(message, cause);
	}
}
