/*
 * $Id: UcpUserStateEvents.java 498 2011-02-18 18:13:49Z tilmann $
 * 
 * Copyright (C) by Vertico Software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * created on 06.08.2009 by tilmann
 * 
 * $HeadURL:
 * http://192.168.2.8/repos/eai-uci/java/trunk/ucp/src/de/vertico/starface/integration/uci/
 * ucp/v21/client/UcpClientCommunicationCall.java $
 * 
 * $LastChangedDate: 2011-02-18 19:13:49 +0100 (Fr, 18 Feb 2011) $ $LastChangedBy: tilmann $
 * $LastChangedRevision: 498 $
 */
package de.starface.integration.uci.java.v30.messages.events;

import de.starface.com.rpc.annotation.RpcAsynchronous;
import de.starface.com.rpc.annotation.RpcInterface;
import de.starface.com.rpc.annotation.RpcValueTranslation;
import de.starface.integration.uci.java.v30.UciService;
import de.starface.integration.uci.java.v30.UciServices;
import de.starface.integration.uci.java.v30.types.UserState;
import de.starface.integration.uci.java.v30.ucp.messages.events.UcpUserStateEvents;

/**
 * This interface defines user state events that can be received by the UCI client implementation.
 * 
 * @author tilmann
 */
@RpcInterface(UcpUserStateEvents.SERVICE_NAME)
@UciService(UcpUserStateEvents.SERVICE_NAME)
@RpcValueTranslation(version = UciServices.UCI_VERSION)
public interface UciUserStateEvents
{
	
	/**
	 * This event allows the UCI client to get informed when the state of the current user changes.
	 * 
	 * @param state
	 *        the new state of the user with a {@link String} value of one of the constants in
	 *        {@link UserState}.
	 */
	@RpcAsynchronous
	public void userStateChanged(UserState state);
}
