package de.starface.integration.uci.java.v30.types;

import java.io.Serializable;

import de.starface.com.rpc.annotation.RpcValue;
import de.starface.com.rpc.annotation.RpcValueObject;

/**
 * Created by paul on 26.03.15.
 */
@RpcValueObject
public class GlobalLineConfiguration implements Serializable
{
	/**
	 * Landesvorwahl ohne führende 00 oder +
	 */
	@RpcValue
	private String countryCode = null;
	
	/**
	 * Ortsvorwahl ohne fuehrende 0
	 */
	@RpcValue
	private String areaCode = null;
	
	/**
	 * Abwurfplatz
	 */
	@RpcValue
	private String deposit = null;
	
	/**
	 * Amtsholung
	 */
	@RpcValue
	private String externalPrefix;
	
	/**
	 * Country Code nach ISO 3166-1 Alpha-2 z.B. "DE"
	 */
	@RpcValue
	private String country;
	
	/**
	 * Erste interne Rufnummer
	 */
	@RpcValue
	private String internalNumberRangeStart;
	
	/**
	 * Letzte interne Rufnummer
	 */
	@RpcValue
	private String internalNumberRangeEnd;
	
	@Override
	public String toString()
	{
		return "GlobalLineConfiguration{" + "countryCode='" + countryCode + '\'' + ", areaCode='" + areaCode
			+ '\'' + ", deposit='" + deposit + '\'' + ", externalPrefix='" + externalPrefix + '\'' + ", country='"
			+ country + '\'' + ", internalNumberRangeStart='" + internalNumberRangeStart + '\''
			+ ", internalNumberRangeEnd='" + internalNumberRangeEnd + '\'' + '}';
	}
	
	public String getInternalNumberRangeStart()
	{
		return internalNumberRangeStart;
	}
	
	public void setInternalNumberRangeStart(String internalNumberRangeStart)
	{
		this.internalNumberRangeStart = internalNumberRangeStart;
	}
	
	public String getInternalNumberRangeEnd()
	{
		return internalNumberRangeEnd;
	}
	
	public void setInternalNumberRangeEnd(String internalNumberRangeEnd)
	{
		this.internalNumberRangeEnd = internalNumberRangeEnd;
	}
	
	public String getCountryCode()
	{
		return countryCode;
	}
	
	public void setCountryCode(String countryCode)
	{
		this.countryCode = countryCode;
	}
	
	public String getAreaCode()
	{
		return areaCode;
	}
	
	public void setAreaCode(String areaCode)
	{
		this.areaCode = areaCode;
	}
	
	public String getDeposit()
	{
		return deposit;
	}
	
	public void setDeposit(String deposit)
	{
		this.deposit = deposit;
	}
	
	public String getExternalPrefix()
	{
		return externalPrefix;
	}
	
	public void setExternalPrefix(String externalPrefix)
	{
		this.externalPrefix = externalPrefix;
	}
	
	public String getCountry()
	{
		return country;
	}
	
	public void setCountry(String country)
	{
		this.country = country;
	}
}
