/*
 * $$Id$$
 * 
 * Copyright (C) by Vertico Software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * created on ${date} by ${user}
 * 
 * $$HeadURL$$
 * 
 * $$LastChangedDate$$ $$LastChangedBy$$ $$LastChangedRevision$$
 */
package de.starface.integration.uci.java.v30.types;

import java.io.Serializable;

import de.starface.com.rpc.annotation.RpcValue;
import de.starface.com.rpc.annotation.RpcValueObject;

/**
 * This object holds SIP credentials for SoftPhones
 * 
 * @author tpfeifer
 *
 */
@RpcValueObject
public class SoftPhoneConfig implements Serializable
{
	private static final long serialVersionUID = 1L;
	
	@RpcValue(minVersion = 30)
	private String sipUserId;
	
	@RpcValue(minVersion = 30)
	private String sipPassword;

	@RpcValue(minVersion = 30)
	private String sipIP;
	
	@RpcValue(minVersion = 30)
	private int sipPort;

	public SoftPhoneConfig()
	{
		super();
	}

	/**
	 * @return Returns the sipUserId.
	 */
	public String getSipUserId()
	{
		return sipUserId;
	}

	/**
	 * @param sipUserId
	 *        The sipUserId to set.
	 */
	public void setSipUserId(String sipUserId)
	{
		this.sipUserId = sipUserId;
	}

	/**
	 * @return Returns the sipPassword.
	 */
	public String getSipPassword()
	{
		return sipPassword;
	}

	/**
	 * @param sipPassword
	 *        The sipPassword to set.
	 */
	public void setSipPassword(String sipPassword)
	{
		this.sipPassword = sipPassword;
	}

	/**
	 * @return Returns the realm.
	 */
	public String getRealm()
	{
		return sipIP;
	}
	
	/**
	 * @param realm
	 *        The realm to set.
	 */
	public void setRealm(String realm)
	{
		this.sipIP = realm;
	}
	
	/**
	 * @return Returns the sipPort.
	 */
	public int getSipPort()
	{
		return sipPort;
	}
	
	/**
	 * @param sipPort
	 *        The sipPort to set.
	 */
	public void setSipPort(int sipPort)
	{
		this.sipPort = sipPort;
	}
	
	/**
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode()
	{
		final int prime = 31;
		int result = 1;
		result = prime * result + ((sipIP == null) ? 0 : sipIP.hashCode());
		result = prime * result + ((sipPassword == null) ? 0 : sipPassword.hashCode());
		result = prime * result + sipPort;
		result = prime * result + ((sipUserId == null) ? 0 : sipUserId.hashCode());
		return result;
	}
	
	/**
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj)
	{
		if (this == obj) return true;
		if (obj == null) return false;
		if (getClass() != obj.getClass()) return false;
		SoftPhoneConfig other = (SoftPhoneConfig) obj;
		if (sipIP == null)
		{
			if (other.sipIP != null) return false;
		}
		else if (!sipIP.equals(other.sipIP)) return false;
		if (sipPassword == null)
		{
			if (other.sipPassword != null) return false;
		}
		else if (!sipPassword.equals(other.sipPassword)) return false;
		if (sipPort != other.sipPort) return false;
		if (sipUserId == null)
		{
			if (other.sipUserId != null) return false;
		}
		else if (!sipUserId.equals(other.sipUserId)) return false;
		return true;
	}
	
	/**
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString()
	{
		return "SoftPhoneConfig [sipUserId=" + sipUserId + ", sipPassword=" + sipPassword + ", sipIP=" + sipIP
			+ ", sipPort=" + sipPort + "]";
	}
}
