/*
 * $Id: UcpCallEvents.java 847 2013-11-20 11:18:26Z dirk $
 * 
 * Copyright (C) by Vertico Software GmbH, Karlsruhe, Germany. All rights reserved.
 * 
 * NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY VERTICO SOFTWARE. UNAUTHORIZED ACCESS, USE,
 * REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 * 
 * created on 06.08.2009 by tilmann
 * 
 * $HeadURL:
 * http://192.168.2.8/repos/eai-uci/java/trunk/ucp/src/de/vertico/starface/integration/uci/
 * ucp/v21/client/UcpClientCommunicationCall.java $
 * 
 * $LastChangedDate: 2013-11-20 12:18:26 +0100 (Mi, 20. Nov 2013) $ $LastChangedBy: dirk $
 * $LastChangedRevision: 847 $
 */
package de.starface.integration.uci.java.v30.ucp.messages.events;

import java.util.Map;

import de.starface.com.rpc.annotation.RpcAsynchronous;
import de.starface.com.rpc.annotation.RpcInterface;
import de.starface.integration.uci.java.v30.UciService;
import de.starface.integration.uci.java.v30.values.CdrDataProperties;

/**
 * This interface defines the call events that can be received by a UCI client implementation in
 * order to handle cdrdata.
 * 
 * @author tilmann
 */
@RpcInterface(UcpCallCdrEvents.SERVICE_NAME)
@UciService(UcpCallCdrEvents.SERVICE_NAME)
public interface UcpCallCdrEvents
{
	
	/** The UCI service name used for this interface */
	public static final String SERVICE_NAME = "ucp.v30.events.callcdr";
	
	/**
	 * This event provides Information about new CallCdr to the UCI client
	 * 
	 * @param cdrDataProperties
	 *        the newCallCdrEvent {@link CdrDataProperties}
	 */
	@RpcAsynchronous
	public void callCdrEvent(Map<String, Object> cdrDataProperties);
}
