package de.starface.integration.uci.java.v30.values;

import de.starface.integration.uci.java.v30.ucp.messages.requests.UcpFunctionKeyRequests;

/**
 * This enum holds constants with the property names of the contact info as returned by
 * {@link UcpFunctionKeyRequests#getCallInfoForKey(String)}
 * 
 * @author tilmann
 */
public enum ContactInfoProperties
{
	/** The first name of the contact */
	firstName,
	
	/** The family name of the contact */
	familyName,
	
	/** The company of the contact */
	company,
	
	/** The job title of the contact */
	jobTitle,
	
	/** The internal phone number of the contact */
	internalPhone,
	
	/** The office phone number of the contact */
	phone,
	
	/** The mobile phone number of the contact */
	mobilePhone,
	
	/** The private home phone number of the contact */
	homePhone,
	
	/** The second phone number of the contact */
	phone2,
	
	/** The facsimile number of the contact */
	fax,
	
	/** The email address of the contact */
	eMail,
	
	/** The jabber id of the contact */
	jabberId,
	
	/** The street and house number of the contact */
	street,
	
	/** The post code of the contact */
	postCode,
	
	/** The city of the contact */
	city,
	
	/** The country of the contact */
	country;
}
